fields:

  bid-ask:
    type: selection
    translation:
      de: 'Biete / Benötige'
      en: 'bid / ask'
    help:
      de: 'Auswahl ist erforderlich!'
      en: 'Selection is mandatory!'
    default: bid
    import-regex: values
    values:
      - bid
      - ask

  condition:
    type: selection-condition
    translation:
      de: 'Erhaltungszustand'
      en: 'condition'
    help:
      de: 'Auswahl ist erforderlich!'
      en: 'Selection is mandatory!'
    default: 2-used-mint
    import-regex: values
    values:
      - 1-new
      - 2-used-mint
      - 3-used-good
      - 4-used-moderate
      - 5-used
      - 6-defective-repairable
      - 7-defective-spareparts

  min:
    type: input-text
    class: form-decimals
    maxlength: 32
    translation:
      de: 'minimale Menge'
      en: 'minimal size'
    help:
      de: 'in Bezug auf die ausgewählte Mengeneinheit'
      en: 'in relation to the selected size unit'
    default: 0
    import-regex: integer

  max:
    type: input-text
    class: form-decimals
    maxlength: 32
    translation:
      de: 'Gesamtmenge'
      en: 'maximum size'
    help:
      de: 'in Bezug auf die ausgewählte Mengeneinheit'
      en: 'in relation to the selected size unit'
    default: 1
    import-regex: integer

  unit:
    type: selection
    translation:
      de: 'Mengeneinheit'
      en: 'size unit'
    help:
      de: 'Auswahl ist erforderlich!'
      en: 'Selection is mandatory!'
    default: x
    import-regex: values
    values:
      - x
      - kg
      - g
      - m

  price-per-unit:
    type: input-text
    class: decimals
    translation:
      de: 'Preis je Mengeneinheit'
      en: 'price per size unit'
    help:
      de: 'in Referenzwährung'
      en: 'in reference currency'
    default: 1
    import-regex: float

  price-reference:
    type: selection-price
    translation:
      de: 'Preisreferenz'
      en: 'pricereference'
    help:
      de: 'Bitte eine Datenquelle auswählen oder einen Preis selbst definieren!'
      en: 'please select a data source or define a fixed price!'
    default: FAIR,FAIRO,fairo
    import-regex: values
    values:
      - FAIR,EUR,faircoinxyz
      - FAIR,EUR,freevision
      - FAIR,FAIRO,fairo

  headline:
    type: input-text
    maxlength: 32
    translation:
      de: 'Überschrift'
      en: 'headline'
    help:
      de: 'maximal 32 Zeichen'
      en: 'maximum 32 charachters'
    default: ''
    import-regex: '/^.*$/g'

  tags:
    type: selection-tags
    translation:
      de: 'Kategorie'
      en: 'Category'
    help:
      de: 'Auswahl ist erforderlich!'
      en: 'Selection is mandatory!'
    default: eat_and_drink,vegetarian
    import-regex: '/^.*$/g'

  image:
    type: input-text
    maxlength: 256
    translation:
      de: 'Bild in Originalgröße'
      en: 'full size image'
    help:
      de: 'empfohlene Größe 1024 x 768 px | maximale Größe 1.5Mpx'
      en: 'recommend size 1024 x 768 px | maximum size 1.5Mpx'
    default: ''
    import-regex: '/^.*$/g'

  description:
    type: textarea
    maxlength: 256
    translation:
      de: 'Beschreibung'
      en: 'description'
    help:
      de: 'maximal 256 Zeichen'
      en: 'maximum 256 charachters'
    default: ''
    import-regex: '/^.*$/g'

#  signature:
#    type: input-text
#    maxlength: 256
#    translation:
#      de: 'Signatur'
#      en: 'signature'
#    help:
#      de: 'signiere yml data mit deiner FairCoin Adresse über die electrumfair wallet!'
#      en: 'sign yml data with your faircoin address by usage of electrumfair wallet!'
#    default: ''
#    import-regex: '/^.*$/g'
